.page__body {
    font-family: sans-serif;
}

.container {
    margin: 0 auto;
    max-width: 1200px;
    padding: 0 15px;
}


/* header start */

.page__header {
    padding-bottom: 75px;
    display: flex;
    flex-direction: column;
    position: relative;
    overflow: hidden;
}

.page__header--bg {
    background-image: url("../img/header-bg.jpeg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position-y: 100%;
    background-position-x: center;
    background-attachment: fixed;
}

.parallax-img__head {
    position: absolute;
    z-index: -1;
    width: 100%;
    top: -300px;
    display: none;
}

.nav {
    display: flex;
    justify-content: space-between;
    background-color: #313131;
    width: 100%;
    position: fixed;
    z-index: 99;
}

.logo {
    margin-left: 27px;
    font-weight: 700;
    font-size: 22px;
    line-height: 30px;
    color: #ffffff;
    display: flex;
    align-items: center;
}

.logo__img {
    margin-right: 27px;
    width: 27px;
    height: 27px;
}

.nav__list {
    display: flex;
}

.nav__item+.nav__item {
    margin-left: 35px;
}

.nav__item {
    display: flex;
    align-items: center;
}

.nav__link {
    font-weight: 600;
    font-size: 15px;
    line-height: 20px;
    text-transform: uppercase;
    color: #ffffff;
    transition: 0.5s;
}

.nav__link:hover {
    color: #14b9d5;
}

.nav__search {
    cursor: pointer;
    width: 70px;
    height: 70px;
    background-color: #000;
    display: flex;
    justify-content: center;
    align-items: center;
}

.header__title {
    margin-top: calc(164px + 70px);
    margin-bottom: 44px;
    font-weight: 700;
    font-size: 27px;
    line-height: 37px;
    text-align: center;
    color: #ffffff;
}

.buttons-wraper {
    display: flex;
    justify-content: center;
}

.btn {
    display: inline-block;
    width: 170px;
    padding: 16px 0;
    font-weight: 600;
    font-size: 18px;
    line-height: 1;
    text-align: center;
    color: #ffffff;
    transition: 0.3s;
}

.btn+.btn {
    margin-left: 20px;
}

.btn--green {
    background: #89ca62;
}

.btn--green:hover {
    box-shadow: 1px 1px 10px #89ca62;
}

.btn--blue {
    background: #14b9d5;
}

.btn--blue:hover {
    box-shadow: 1px 1px 10px #14b9d5;
}


/* header end */


/* popular start */

.popular {
    padding: 49px 0 70px;
    background-color: #f2f2f2;
}

.section-title {
    font-weight: 700;
    font-size: 27px;
    line-height: 37px;
    text-align: center;
    text-transform: uppercase;
    color: #18b4cf;
    margin-bottom: 50px;
}

.popular__posts {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    max-height: 900px;
}

.post-card {
    width: 370px;
    margin-bottom: 30px;
}

.post-card__img__wraper {
    overflow: hidden;
}

.post-card__img {
    transition: 0.5s;
}

.post-card:hover .post-card__text {
    color: #14b9d5;
}

.post-card:hover .post-card__img {
    transform: scale(1.15);
}

.post-card__text {
    font-weight: bold;
    font-size: 18px;
    line-height: 25px;
    text-align: center;
    color: #353a3d;
    padding: 20px 0;
    background-color: #fff;
    transition: 0.5s;
}


/* popular end */


/* our-clients start */

.our-clients {
    padding: 108px 0 183px;
    position: relative;
    overflow: hidden;
}

.our-clients--bg {
    background-image: url("../img/parallax-bg.jpeg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position-y: 70%;
    background-position-x: center;
    background-attachment: fixed;
}

.parallax-img__clients {
    position: absolute;
    z-index: -1;
    width: 100%;
    top: -100px;
    display: none;
}

.our-clients__title {
    font-weight: bold;
    font-size: 32px;
    line-height: 44px;
    text-align: center;
    text-transform: uppercase;
    color: #ffffff;
    margin-bottom: 190px;
    position: relative;
}

.our-clients__title::after {
    content: "";
    width: 60px;
    height: 3px;
    background: #18b4cf;
    position: absolute;
    right: calc(50% - 30px);
    bottom: -85px;
}

.our-clients__list {
    display: grid;
    grid-template-columns: repeat(4, auto);
    align-items: center;
    gap: 55px;
    max-width: 880px;
    margin: 0 auto;
}


/* our-clients end */


/* top-rated start */

.top-rated {
    background-color: #fff;
    padding-top: 50px;
}

.top-rated__list {
    margin-top: 50px;
    display: grid;
    grid-template-columns: repeat(7, 1fr);
}

.top-rated__item {
    overflow: hidden;
}

.top-rated__item:hover .top-rated__img {
    transform: scale(1.15);
}

.top-rated__img {
    transition: 0.5s;
    width: 100%;
    height: 100%;
}


/* top-rated end */


/* news start */

.news {
    padding: 50px 0 70px;
    background-color: #fff;
}

.news__list {
    display: grid;
    gap: 43px 60px;
}

.news__list--small-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 35px;
    grid-column: 1 / 3;
}

.news__card {
    background: #f9f7f7;
    transition: 0.5s;
    display: block;
}

.news__card:hover {
    box-shadow: 1px 1px 20px #14b9d5;
}

.news__card:hover .news__title {
    color: #14b9d5;
}

.news__title {
    font-weight: 700;
    font-size: 18px;
    line-height: 25px;
    color: #353a3d;
    transition: 0.5s;
}

.news__text {
    font-weight: 600;
    font-size: 14px;
    line-height: 21px;
    color: #5b6469;
}

.news__card--text-right {
    display: grid;
    grid-template-columns: 483px 373px;
    text-align: right;
}

.news__card--text-right .news__img {
    grid-row-start: 1;
    grid-row-end: 3;
}

.news__card--text-right .news__title {
    padding-right: 15px;
    margin: 40px 0 14px;
}

.news__card--text-right .news__text {
    padding: 0 15px;
}

.news__card--title {
    width: 277px;
}

.news__card--title .news__title {
    text-align: center;
    margin: 12px 0;
}

.news__card--text-bottom {
    text-align: right;
    width: 554px;
}

.news__card--text-bottom .news__title {
    margin: 12px 14px 15px 0;
}

.news__card--text-bottom .news__text {
    padding: 0 14px;
}


/* news end */


/* footer start */

.page__footer {
    background-color: #000;
}

.footer__grid-wraper {
    display: grid;
    grid-template-columns: 1fr 110px;
    min-height: 80px;
    align-items: center;
}

.footer__text {
    font-size: 13px;
    line-height: 13px;
    color: #ffffff;
}

.footer__developer-link {
    display: grid;
    grid-template-columns: 1fr 1fr;
}


/* footer end */

.switch-parallax {
    cursor: pointer;
    width: 150px;
    position: fixed;
    right: 20px;
    bottom: 50px;
    background-color: #14b9d5;
    border: 3px solid #89ca62;
}